Do Not Contact

Add Items to DNC List

POST /v1/dnc

POST/v1/dnc
POST
/v1/dnc

Add a domain/email(s) to the dnc list.

Authorization

x-api-key<token>

API key for Open API authentication

In: header

Request Body

application/jsonRequired

itemsarray<string>

Array of strings containing either emails or domains

Example: ["[email protected]","domain.com"]

dncListIdstring

DNC list id to which the items should be added. Use the string id returned by GET /v1/dnc (e.g. "vWjzRkZwAq") — do not coerce it to a number.

Example: "vWjzRkZwAq"

Responses

201
201 response

Request

curl -X POST \
  "https://open-api.saleshandy.com/v1/dnc" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "items": [
    "[email protected]",
    "domain.com"
  ],
  "dncListId": "vWjzRkZwAq"
}'

Response

No response body